Package com.avaya.clientservices.provider.avayamessaging

## Class AvayaMessagingConfiguration

- java.lang.Object
- - com.avaya.clientservices.provider.avayamessaging.AvayaMessagingConfiguration

-     public class AvayaMessagingConfiguration
      extends java.lang.Object

  User Configuration information for Avaya Messaging provider. This class provides the configuration data that allows a connection and access to be made to Avaya Messaging server.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AvayaMessagingConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CredentialProvider` | `getCredentialProvider()` |
    `ServerInfo` | `getServerInfo()` |
    `boolean` | `isEnabled()` | Is the Avaya Messaging provider enabled?
    `void` | `setCredentialProvider​(CredentialProvider credentialProvider)` | Set the CredentialProvider value representing the object that provides the credentials.
    `void` | `setEnabled​(boolean enabled)` | Enable or disable the Avaya Messaging provider.
    `void` | `setServerInfo​(ServerInfo serverInfo)` | Set the ServerInfo value indicating Avaya Messaging server to connect to.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvayaMessagingConfiguration

          public AvayaMessagingConfiguration()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Is the Avaya Messaging provider enabled?
      Returns:
        True indicating Avaya Messaging provider is enabled, otherwise false.

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Enable or disable the Avaya Messaging provider.
      Parameters:
        `enabled` - The Boolean value indicating whether Avaya Messaging provider is enabled.

    - #### getServerInfo

          public ServerInfo getServerInfo()

      Returns:
        ServerInfo value indicating Avaya Messaging server to connect to.

    - #### setServerInfo

          public void setServerInfo​(ServerInfo serverInfo)

      Set the ServerInfo value indicating Avaya Messaging server to connect to.
      Parameters:
        `serverInfo` - ServerInfo value indicating Avaya Messaging server to connect to.

    - #### getCredentialProvider

          public CredentialProvider getCredentialProvider()

      Returns:
        a CredentialProvider value representing the object that provides the credentials.

    - #### setCredentialProvider

          public void setCredentialProvider​(CredentialProvider credentialProvider)

      Set the CredentialProvider value representing the object that provides the credentials.
      Parameters:
        `credentialProvider` - CredentialProvider value representing the object that provides the credentials.